package com.ym.mec.task.fallback;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import com.ym.mec.task.TaskRemoteService;

@Component
public class TaskRemoteServiceFallback implements TaskRemoteService {

	private final static Logger logger = LoggerFactory.getLogger(TaskRemoteServiceFallback.class);

	@Override
	public void refreshPaymentFeeStatus() {
		logger.info("更新学生缴费状态的服务调用失败");
	}

	@Override
	public void vipGroupAwardedMonthlyRewards() {
		logger.info("vip课月度奖励的服务调用失败");
	}

	@Override
	public void updateCourseScheduleToOverStatus() {
		logger.info("更新课程状态至已结束服务调用失败");
	}

	@Override
	public void pushNoSignOutMessage() {
		logger.info("推送未签退消息提醒的服务调用失败");
	}

	@Override
	public void vipGroupTeacherSalarySettlement() {
		logger.info("vip课课酬结算的服务调用失败");
	}

	@Override
	public void practiceTeacherSalarySettlement() {
		logger.info("网管课课酬结算的服务调用失败");
	}

	@Override
	public void MusicGroupTeacherSalarySettlement() {
		logger.info("乐团课课酬结算的服务调用失败");
	}

	@Override
	public void studentCoursesScheduleRemind() {
		logger.info("有课提醒的服务调用失败");
	}

	@Override
	public void studentSignInRemind() {
		logger.info("上课提醒的服务调用失败");
	}

	@Override
	public void studentHomeworkRemind() {
		logger.info("学生作业提醒的服务调用失败");
	}

	@Override
	public void teacherCoursesScheduleRemind() {
		logger.info("老师有课提醒的服务调用失败");
	}

	@Override
	public void teacherSignInRemind() {
		logger.info("老师上课提醒的服务调用失败");
	}

	@Override
	public void homeworkNoReplyRemind() {
		logger.info("老师未回复作业提醒的服务调用失败");
	}

	@Override
	public void queryOrderStatus() {
		logger.info("查询订单状态的服务调用失败");
	}

	@Override
	public void updateVipGroupToFinishedStatus() {
		logger.info("更新VIP课程状态至已结束的服务调用失败");
	}

	@Override
	public void stopVipGroupWithNoCreate() {
		logger.info("取消达到报名时间未达到报名人数的vip课失败");
	}

	@Override
	public void teacherCourseStatistic() {
		logger.info("统计老师课酬失败");
	}

	@Override
	public void updateHistoryPracticeGroupStatus() {
		logger.info("历史网管课状态更新失败");
	}

	@Override
	public void pushStudyReport() {
		logger.info("练习报告推送失败");
	}
}
